GNU bug report logs - #59423
Invalid 'location' field generated in dovecot configuration

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pierre Langlois <pierre.langlois@HIDDEN>; dated Sun, 20 Nov 2022 22:11:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 26 Nov 2022 02:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 21:54:59 2022
Received: from localhost ([127.0.0.1]:37580 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oylLH-0005b3-15
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 21:54:59 -0500
Received: from mail-qt1-f180.google.com ([209.85.160.180]:44012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oylLE-0005ap-GB
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 21:54:57 -0500
Received: by mail-qt1-f180.google.com with SMTP id a27so3489861qtw.10
 for <59423 <at> debbugs.gnu.org>; Fri, 25 Nov 2022 18:54:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=TpoxdryMtcLsBP8UWA9srG4OEY6EwVy291wH05v/wT0=;
 b=KWZSzRQb+Q5tKZYuRoXmaEzQQ2SVYJRku3eyVEzRVKduxbX8iBcMlQ4Cg7kaGqtY14
 Vd4W4FRLGiVVGz+P1KK+Bo4di+FLFFMk0iVXO6zh+lA+LDkrY6JlWw1QA44l83B6Fgrw
 SGCB1uPtZiipU/rSdK2Gg6a+Cegq+TwGo9pnne8QqY7RqljMy8yM0PUWNAXVRQmmEDSh
 Sth69uTSOTfTtt8BvyBMqEHjdl3LQCMOmt6kOhpl144k/5BkzrQlPK9cnsDEFeWEbj1k
 7Fwx4ttrfLonikWI4Bdse9oVroWAV47Mg52kYLx/hX/5o5chmvQD0bG9+LZ2qI45JR4C
 G9xw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=TpoxdryMtcLsBP8UWA9srG4OEY6EwVy291wH05v/wT0=;
 b=pdONAn9y7EHh1eCJoyLSTzNQKwTBcvAzNocP0iW/hQnmPMNpoW5ZlrYXlPav/ks4DP
 i05ic02X0PEz7fL5fOPjw90sPtck5jU5r+8QBK0E2rCXrasA/S6wo/qd/bQd7lLkdCpJ
 PYb2A4TLTp7BjnheL+xZK1K92kuv2FjjcpfOUIx15dzoQjulYU+XafB5KzsIHXsomNCV
 I8ucQspytGDS85eM3eRJxOf7LCzPqBKvNVZGQtmVu+zKxje4qePzZuV2x99OkGVZ9bkn
 j+OjyCzPnApPhkWgOObMgWmDYFTdDQeO4m9LOuM+QMq0nOQsVx6WI3YoVzAkWsVgr4Ui
 96sw==
X-Gm-Message-State: ANoB5pmXpjOFEAu9cNNKlFJDbtv13IUU95nR7qM6FBL3SMNiV+zQ9s5n
 ahf+P9l+diZwjZ945zTqcFkHr3tUXyI=
X-Google-Smtp-Source: AA0mqf6DaPOSnXUtzS+0l4Pk6J2n0eHI15oPCYesi3Y49exa09wHrU6MQQ4QmYWJMl43qsEaxGfnHw==
X-Received: by 2002:ac8:4987:0:b0:3a5:274c:611e with SMTP id
 f7-20020ac84987000000b003a5274c611emr38188613qtq.143.1669431290781; 
 Fri, 25 Nov 2022 18:54:50 -0800 (PST)
Received: from hurd (dsl-154-228.b2b2c.ca. [66.158.154.228])
 by smtp.gmail.com with ESMTPSA id
 bp7-20020a05620a458700b006f956766f76sm3864203qkb.1.2022.11.25.18.54.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Nov 2022 18:54:50 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Langlois <pierre.langlois@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
References: <87y1s5wa4p.fsf@HIDDEN> <87v8n2iytp.fsf@HIDDEN>
 <875yf293ph.fsf@HIDDEN> <87y1ry7o69.fsf@HIDDEN>
 <87cz9a7n4y.fsf@HIDDEN>
Date: Fri, 25 Nov 2022 21:54:49 -0500
In-Reply-To: <87cz9a7n4y.fsf@HIDDEN> (Pierre Langlois's message of "Fri, 25
 Nov 2022 21:09:49 +0000")
Message-ID: <87fse6fmrq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59423
Cc: 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Pierre,

Pierre Langlois <pierre.langlois@HIDDEN> writes:

[...]

>>>> I did:
>>>>
>>>> $ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
>>>> /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system
>>>>
>>>> Then:
>>>>
>>>> $ guix gc -R /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system | grep dovecot.conf
>>>> /gnu/store/1ijjsm3sj8v0qj88fhlwqxgdszd6q6h7-dovecot.conf

OK, after 'make clean-go' and rebuilding everything, I now see the issue
with the above:

--8<---------------cut here---------------start------------->8---
location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
--8<---------------cut here---------------end--------------->8---

So, that's that.

>>> Yeah I'm afraid I still see the same issue after a `git pull` just now:
>>>
>>> ~/code/guix [env]$ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
>>> /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system
>>> ~/code/guix [env]$ guix gc -R
>>> /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system | grep
>>> dovecot\.conf | xargs grep "^location"
>>> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>>>
>>> Have you tried to rebuild from scratch, after a `make clean-go'? When
>>> first bisecting this, I was working from the git repo and couldn't
>>> reproduce the bug. Then it worked by using `guix time-machine' to bisect
>>> rather than work from git.
>>>
>>> So I'm guessing the change being in a macro, there could be residue .go
>>> files that need recompiling?
>>
>> Oh, I just realized the change was reverted with
>> 44554e7133aa60e1b453436be1e80394189cabd9, then I'm probably the one who
>> needs to do a `make clean-go' :-).

The change was reinstated as part of the mcron update, in
44554e7133aa60e1b453436be1e80394189cabd9.  The bit that seems to cause
the issue here (still not clearly understood) is probably this one:

--8<---------------cut here---------------start------------->8---
diff --git a/gnu/services/configuration.scm b/gnu/services/configuration.scm
index 636c49ccba..dacfc52ba9 100644
--- a/gnu/services/configuration.scm
+++ b/gnu/services/configuration.scm
@@ -242,17 +242,17 @@ (define-record-type* #,(id #'stem #'< #'stem #'>)
                stem
                #,(id #'stem #'make- #'stem)
                #,(id #'stem #'stem #'?)
-               (%location #,(id #'stem #'stem #'-location)
-                          (default (and=> (current-source-location)
-                                          source-properties->location))
-                          (innate))
                #,@(map (lambda (name getter def)
                          #`(#,name #,getter (default #,def)
                                    (sanitize
                                     #,(id #'stem #'validate- #'stem #'- name))))
                        #'(field ...)
                        #'(field-getter ...)
-                       #'(field-default ...)))
+                       #'(field-default ...))
+               (%location #,(id #'stem #'stem #'-location)
+                          (default (and=> (current-source-location)
+                                          source-properties->location))
+                          (innate)))
 
              (define #,(id #'stem #'stem #'-fields)
                (list (configuration-field
--8<---------------cut here---------------end--------------->8---

Reverting it would likely fix the issue (haven't tried), but it'd be
nice to have a clear understanding of what's going on.  It may have
unmasked a bug waiting to bite.

The issue seems to be with the serialization of the
<namespace-configuration> object nested in the <dovecot-configuration>
record.  I tried this at the REPL:

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> ,m (gnu services mail)
scheme@(gnu services mail)> (namespace-configuration (name "inbox"))
$8 = #<<namespace-configuration> name: "inbox" type: "private" separator: "" prefix: "" location: "" inbox?: #f hidden?: #f list?: #t subscriptions?: #t mailboxes: () %location: #f>
scheme@(gnu services mail)> (serialize-configuration $8 namespace-configuration-fields)
name=inbox
type=private
separator=
prefix=
location=#f
inbox=no
hidden=no
list=yes
subscriptions=yes
$9 = #<gexp  gnu/services/configuration.scm:123:2 7f78f494fde0>
--8<---------------cut here---------------end--------------->8---

But as you can see, it doesn't reproduce in this environment.  I'll keep experimenting.

-- 
Thanks,
Maxim




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 21:14:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 16:14:23 2022
Received: from localhost ([127.0.0.1]:37322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyg1e-0003dg-IC
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 16:14:23 -0500
Received: from mout.gmx.net ([212.227.17.21]:54149)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pierre.langlois@HIDDEN>) id 1oyg1a-0003dR-U8
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 16:14:21 -0500
Received: from labiere ([82.69.64.142]) by mail.gmx.net (mrgmx104
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1N1wpt-1orz6A0fcH-012KoP; Fri, 25
 Nov 2022 22:14:11 +0100
References: <87y1s5wa4p.fsf@HIDDEN> <87v8n2iytp.fsf@HIDDEN>
 <875yf293ph.fsf@HIDDEN> <87y1ry7o69.fsf@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Pierre Langlois <pierre.langlois@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
Date: Fri, 25 Nov 2022 21:09:49 +0000
In-reply-to: <87y1ry7o69.fsf@HIDDEN>
Message-ID: <87cz9a7n4y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:rTRe1Yxs+JvNVo7WagYsJz/k5OeqlkrJJPF7T4/U4dvLvon6cbC
 WUE+Nd4eEZgCdVk4VfncCiaXY2zNsntjlpB5BP7BhSwK5tpgrVeknkD36PM3LCs9JtIxKNM
 ex+XfI8S7PvoXqbMu9VhIpakSqf29y77zZ++2IpxN2kHEpSRhYqwK1z/Ub2ax+UuJa8Scxz
 6nNJ0OHGsdPBE82CoRgnw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:KwXDDrlOSSk=;a93yPDnX2jP7SVIL3an2LJf11fo
 RGU8sp+61bwyHOx28VQIB74blQDhYGNRYrFUSNv3ARsfI34RtmCf2MGaCb+4+wZLXRf3C17k+
 zdHnRvOpG9RgeZmE+w3kYu3Vv6mpB5QDUKkX+WOjt/a/JazZazm9nMFzeGMvW2LYJ9Afl2sdg
 xoEhv51DD5GPdBCxPKqJZhV0+q8i5D3dBvjUxqY4iuwmFw2tOBQ5TQnBtndd+12jjpfStb4Il
 uMp/lPLRsZiIW9PAAQkXj1+YGh2ep99Sk86Q94mx1HecdqxivEfzK6E2WiQnz+b7TurPuOSqu
 2t3XQe7G/VSqeSTHvkbB/u2EKq3qCgYo0T6tadDm87NBz1ZowWiTw/h5PaLZyk0h/pjinzqLg
 KVi75i9Ml56XlGDyrkqi/VeQwmdihb3mFZimyp9dIQHeyqw2gPmZaDebh0yoHnR0xTBKkbJDS
 cOMBdY/nf9ehRoH/63M+K0GwaFm5fF4cATWI+tB63WUrHtrPWz8bwJHGFVX8Zi+x26G0Nu12x
 JCTp+zQ8SP+fSKf5VFAxPk6CMBq1rCyKqFEFNlcOgHTiPqZa0NpBM83sy0qCDh4RO1AgclfSX
 rQ6O/UmehZP+R0thOXz/CK5GAjSZUwG6Ui/5WllEOkjVR77CeuxwCyDr6UAGjl71Zk3DMyAqz
 9YsJI+EDRBox41rk1DkQV3nFxYBzjMLmjgN5UeyHfRcaQEjXYkRFGUR2MBYIfVYouRs3itRyM
 8RtGPOGoYuaCwi1xxGECIlmAnjTStj5sCZbCK8OJbsHiNBnO4cn85so2NnHd/5IVRfrHEdJMq
 MuPRmgvz72Bvw0HrpQCC6UrtumuJSQk4VDYgLpSY1BVLJOGbPDodbyKhk/JjROmeN0obQZmfK
 hfCllLdp9gYpw+nzrtUvAZyPvLQ+xDXOkZ0eXK5yuVWzo3yJnnwX2j6YmMn8hJnYZuO5ns9pX
 8g1i/xszWUbQ4i2cL+WvWAhUsZo=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59423
Cc: Pierre Langlois <pierre.langlois@HIDDEN>, 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain


Pierre Langlois <pierre.langlois@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
>
> Pierre Langlois <pierre.langlois@HIDDEN> writes:
>
>> [[PGP Signed Part:Undecided]]
>>
>> Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>>
>>> Hi Pierre,
>>>
>>> Pierre Langlois <pierre.langlois@HIDDEN> writes:
>>>
>>>> Hi Guix!
>>>>
>>>> After updating the system, the dovecot service got confused and started
>>>> moving around all mailboxes.  I looked up the configuration and noticed
>>>> strange invalid syntax for the location field:
>>>>
>>>> location=#<<location> file: "path/to/config.scm" line: 297 column: 20>
>>>>
>>>>
>>>> Because the # character is interpreted as a comment, dovecot doesn't
>>>> crash and instead moves mailboxes around in weird ways I don't quite
>>>> understand :-/.
>>>>
>>>> This can actually be reproduced locally with the dovecot system test if
>>>> one dumps the following expression to check the configuration:
>>>>
>>>> (format #t "~a\n" (wait-for-file "/etc/dovecot/dovecot.conf"
>>>>                                  marionette
>>>>                                  #:read 'get-string-all))
>>>>
>>>>
>>>> Giving us the snippets like this in the config:
>>>>
>>>> $ make check-system TESTS="dovecot"  VERBOSE=1
>>>> ...
>>>> namespace inbox {
>>>> type=private
>>>> separator=
>>>> prefix=
>>>> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>>>> inbox=yes
>>>> hidden=no
>>>> list=yes
>>>> subscriptions=yes
>>>> mailbox "Drafts" {
>>>> auto=no
>>>> special_use=\Drafts
>>>> }
>>>> mailbox "Junk" {
>>>> auto=no
>>>> special_use=\Junk
>>>> }
>>>> mailbox "Trash" {
>>>> auto=no
>>>> special_use=\Trash
>>>> }
>>>> mailbox "Sent" {
>>>> auto=no
>>>> special_use=\Sent
>>>> }
>>>> mailbox "Sent Messages" {
>>>> auto=no
>>>> special_use=\Sent
>>>> }
>>>> mailbox "Drafts" {
>>>> auto=no
>>>> special_use=\Drafts
>>>> }
>>>> }
>>>
>>> I did:
>>>
>>> $ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
>>> /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system
>>>
>>> Then:
>>>
>>> $ guix gc -R /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system | grep dovecot.conf
>>> /gnu/store/1ijjsm3sj8v0qj88fhlwqxgdszd6q6h7-dovecot.conf
>>
>> <sidetrack/>
>>
>> Oh that's a nice way of doing this, better than my hack to print the
>> config, I'll have to remember the `guix gc -R' flag.
>>
>>>
>>> And what I see in this file is now:
>>>
>>> namespace inbox {
>>> type=private
>>> separator=
>>> prefix=
>>> location=
>>> inbox=yes
>>> hidden=no
>>> list=yes
>>> subscriptions=yes
>>> mailbox "Drafts" {
>>> auto=no
>>> special_use=\Drafts
>>> }
>>> mailbox "Junk" {
>>> auto=no
>>> special_use=\Junk
>>> }
>>> mailbox "Trash" {
>>> auto=no
>>> special_use=\Trash
>>> }
>>> mailbox "Sent" {
>>> auto=no
>>> special_use=\Sent
>>> }
>>> mailbox "Sent Messages" {
>>> auto=no
>>> special_use=\Sent
>>> }
>>> mailbox "Drafts" {
>>> auto=no
>>> special_use=\Drafts
>>> }
>>> }
>>>
>>> Notice that location is empty.  So that's at least different to your
>>> findings, on latest commit.  Can you still reproduce?
>>
>> Yeah I'm afraid I still see the same issue after a `git pull` just now:
>>
>> ~/code/guix [env]$ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
>> /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system
>> ~/code/guix [env]$ guix gc -R /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system | grep dovecot\.conf | xargs grep "^location"
>> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>>
>> Have you tried to rebuild from scratch, after a `make clean-go'? When
>> first bisecting this, I was working from the git repo and couldn't
>> reproduce the bug. Then it worked by using `guix time-machine' to bisect
>> rather than work from git.
>>
>> So I'm guessing the change being in a macro, there could be residue .go
>> files that need recompiling?
>
> Oh, I just realized the change was reverted with
> 44554e7133aa60e1b453436be1e80394189cabd9, then I'm probably the one who
> needs to do a `make clean-go' :-).

I'm afraid I can still reproduce the issue after a fresh rebuild, I can
also reproduce it outside of the git checkout:

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 1026 Nov 25 2022 20:11:23    (current)
  guix 7e0ad0d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 7e0ad0dd0f2829d6f3776648ba7c88acf9888d7a
(... snip ...)
$ guix gc -R `guix system build -e '(@@ (gnu tests mail) %dovecot-os)'` | grep dovecot\.conf | xargs head -n 20
listen=*,::
dict {
}
passdb {
driver=pam
}
userdb {
driver=passwd
override_fields=
}
plugin {
}
namespace inbox {
type=private
separator=
prefix=
location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
inbox=yes
hidden=no
list=yes
--8<---------------cut here---------------end--------------->8---

Now I'm confused :-/.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCgA2FiEEctU9gYy29KFyWDdMqPyeRH9PfVQFAmOBMB0YHHBpZXJyZS5s
YW5nbG9pc0BnbXguY29tAAoJEKj8nkR/T31U4qQIAMj3YRNMbJnjRT3elfLYX98h
6rs3j/wn2aQRyfrXwkpzzqEuiPKkc5PP6BU5o5p0ESlfd8bTwyX/DSiPw0ltaQmu
iTqjFPxgv0Cp06aK4HaPceQnrh7flnCPnNA4VW3SgNIiamKcKFhwZLVcv4aDGfsG
f8FJd/Lo91akrwqVnAwskaGwiPIBHgz99lVlIGzKTyZl0V70pYpXGt1dHT2uamOW
/kr0ssv74tVKNiFQANqB6TfSObZSqg3i+C9A2n9OrVqhLonDTa21fMR7rkvGbA+U
qjd3H8JA802E3DG+kSB6x5ylz2epwBKUUATI+iVVbiSVCX2Ft+Hr3fOPY4rypjE=
=7Iry
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 20:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 15:52:03 2022
Received: from localhost ([127.0.0.1]:37308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyfg2-00038P-WC
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:52:03 -0500
Received: from mout.gmx.net ([212.227.15.18]:51923)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pierre.langlois@HIDDEN>) id 1oyffx-00037f-GN
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:52:01 -0500
Received: from labiere ([82.69.64.142]) by mail.gmx.net (mrgmx004
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MVeI2-1pQCw63VKe-00RWFs; Fri, 25
 Nov 2022 21:51:50 +0100
References: <87y1s5wa4p.fsf@HIDDEN> <87v8n2iytp.fsf@HIDDEN>
 <875yf293ph.fsf@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Pierre Langlois <pierre.langlois@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
Date: Fri, 25 Nov 2022 20:50:38 +0000
In-reply-to: <875yf293ph.fsf@HIDDEN>
Message-ID: <87y1ry7o69.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:ojmNOJIiapeCrd75BeRigVaB/qO021BBOIrXlel2s+AwVE4/5iW
 WMz7tlz/3KTFM2RPRUlX96Qt2Kf4g3eogxWljl6c4u+Mp1RBmhxaV7lnBZCGtsieMdnF8gq
 uFeZ8MtQ8UKdV8Naf8/yRxuWMr2tBCTG3njF8LguI/PcN8JkiJ1JB9PwXGUJIvJwx/pxNLZ
 kPcLCwwTT7iAfDMR3UtHQ==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:+S9kkD9ESF0=;iS0zc4s7lCMJikHQz0kX8ixnkb4
 Gr2lZNjAIsaI4tugnyUVOZnRGXY+Y8zthR9gN9akedsYPNzlx4gmQ0r1AD5CW0FOfbm5m8rEj
 C9KUY7fLKcaOJ53PmZzSp5NAaKERNDkbZNTjKDiXTd1lviR4UmEq3uj5BZOHMBKhqoLckya9b
 CMJw0W05r/28ZRHJq3ItijSV7s5n5p4WIQAwSR9wL8eQK+6QT+TBqTzV9M3ushHHroHGs2dk2
 s8RUoBMQdbnSjP6qsQSPNHNHo5RMLj7pXNn4HgqL0Yglc+V85OsU0FiioKVt1ERYORsZVdHt/
 t1FQ+BqQvT/XfJSrK3v+isVW01qeiHi6wI3DTNI7ZwI1zGILs9ubiPgl3TDTSxQTkoUAqoI32
 L3RiNGbSB7k6SCSBe4egJpSrAP7R2Omy9YggnU+yqgPIl0cYMcXY8k4Q1vFnQyA/o2zo8ysRt
 Qf0wzfcxsCgjfDH8CEK4nebZfEovDO1ipTI5aUaC8a4+o7AWbFOJcWw6g3lL3YTujX4FDVc41
 DyDzkoicMbqD3LXkhfy5Fm+U0YtReGXlDaoNX4GmoI+lfg8HyNLq4StFD3/DOItZZXss3xK6I
 6ICIw5AMEyhDpb2OfL4A1O/CtFl26mFKwNYqX/PNKxuo23Y0/gFsVsTqj4TKR9V8s0UTFrrWD
 tSQM1eou4tg9APWoHHTZyiTESH9N27KCHMiM+dME++IQRXBQRN/HcOTk3zxobpvce/L3nJjX5
 wapgboJA42eki582Cfdrnvz+eQX3GeADgre8LSG+i56cWHSL+Zo/RGmdShCrBfq8+nzQScUVr
 udESbawKWv6wBCDIh9AOGuKq1inQ9xrSf8z3HuhfDb1Nfk+cw2F7uJVZuR5jkAp6eohpxTtyt
 wcSXj5+rW9wOE64YSVeKJ+IahcxXjyVeMbtRfAWhmRXEE1dMkl0Q8GcA3awb8EWe1n90Ajmpi
 8zj7aFh4ehviQgkrpv9kBDuRcpU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59423
Cc: Pierre Langlois <pierre.langlois@HIDDEN>, 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain


Pierre Langlois <pierre.langlois@HIDDEN> writes:

> [[PGP Signed Part:Undecided]]
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
>
>> Hi Pierre,
>>
>> Pierre Langlois <pierre.langlois@HIDDEN> writes:
>>
>>> Hi Guix!
>>>
>>> After updating the system, the dovecot service got confused and started
>>> moving around all mailboxes.  I looked up the configuration and noticed
>>> strange invalid syntax for the location field:
>>>
>>> location=#<<location> file: "path/to/config.scm" line: 297 column: 20>
>>>
>>>
>>> Because the # character is interpreted as a comment, dovecot doesn't
>>> crash and instead moves mailboxes around in weird ways I don't quite
>>> understand :-/.
>>>
>>> This can actually be reproduced locally with the dovecot system test if
>>> one dumps the following expression to check the configuration:
>>>
>>> (format #t "~a\n" (wait-for-file "/etc/dovecot/dovecot.conf"
>>>                                  marionette
>>>                                  #:read 'get-string-all))
>>>
>>>
>>> Giving us the snippets like this in the config:
>>>
>>> $ make check-system TESTS="dovecot"  VERBOSE=1
>>> ...
>>> namespace inbox {
>>> type=private
>>> separator=
>>> prefix=
>>> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>>> inbox=yes
>>> hidden=no
>>> list=yes
>>> subscriptions=yes
>>> mailbox "Drafts" {
>>> auto=no
>>> special_use=\Drafts
>>> }
>>> mailbox "Junk" {
>>> auto=no
>>> special_use=\Junk
>>> }
>>> mailbox "Trash" {
>>> auto=no
>>> special_use=\Trash
>>> }
>>> mailbox "Sent" {
>>> auto=no
>>> special_use=\Sent
>>> }
>>> mailbox "Sent Messages" {
>>> auto=no
>>> special_use=\Sent
>>> }
>>> mailbox "Drafts" {
>>> auto=no
>>> special_use=\Drafts
>>> }
>>> }
>>
>> I did:
>>
>> $ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
>> /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system
>>
>> Then:
>>
>> $ guix gc -R /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system | grep dovecot.conf
>> /gnu/store/1ijjsm3sj8v0qj88fhlwqxgdszd6q6h7-dovecot.conf
>
> <sidetrack/>
>
> Oh that's a nice way of doing this, better than my hack to print the
> config, I'll have to remember the `guix gc -R' flag.
>
>>
>> And what I see in this file is now:
>>
>> namespace inbox {
>> type=private
>> separator=
>> prefix=
>> location=
>> inbox=yes
>> hidden=no
>> list=yes
>> subscriptions=yes
>> mailbox "Drafts" {
>> auto=no
>> special_use=\Drafts
>> }
>> mailbox "Junk" {
>> auto=no
>> special_use=\Junk
>> }
>> mailbox "Trash" {
>> auto=no
>> special_use=\Trash
>> }
>> mailbox "Sent" {
>> auto=no
>> special_use=\Sent
>> }
>> mailbox "Sent Messages" {
>> auto=no
>> special_use=\Sent
>> }
>> mailbox "Drafts" {
>> auto=no
>> special_use=\Drafts
>> }
>> }
>>
>> Notice that location is empty.  So that's at least different to your
>> findings, on latest commit.  Can you still reproduce?
>
> Yeah I'm afraid I still see the same issue after a `git pull` just now:
>
> ~/code/guix [env]$ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
> /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system
> ~/code/guix [env]$ guix gc -R /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system | grep dovecot\.conf | xargs grep "^location"
> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>
> Have you tried to rebuild from scratch, after a `make clean-go'? When
> first bisecting this, I was working from the git repo and couldn't
> reproduce the bug. Then it worked by using `guix time-machine' to bisect
> rather than work from git.
>
> So I'm guessing the change being in a macro, there could be residue .go
> files that need recompiling?

Oh, I just realized the change was reverted with
44554e7133aa60e1b453436be1e80394189cabd9, then I'm probably the one who
needs to do a `make clean-go' :-).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCgA2FiEEctU9gYy29KFyWDdMqPyeRH9PfVQFAmOBKt4YHHBpZXJyZS5s
YW5nbG9pc0BnbXguY29tAAoJEKj8nkR/T31UcaYIAJIqEwxvXPkiVl2zks5tQAVy
VQN4pwUJIzycuh/B/kDtxiz83FpMTiJLFQLFYA/tWhiKNIZ/G844RQLpvLeyrWz7
zNfWGufqY5VeVWylsTP4bpsKMD4339Vg/MyCkKcsNioFdyemO80pN8hj6OaIkJtB
+m1hMinjUMNbyHtXY6M/Oe7Nx48qeWmyT/VP5t6vQpZuwCXQYFCdzChv5g/ZWBYw
7jM3PsMlRPFeTssYgIsXdOZ/JWX4Hhk0IQ/2tdCO95umT09LNCBQ1vceI0f10XST
49yZvk6cDQO+DnARD30ZYl/AimEdvNZOHTQygGr/VvTYWBybA/hQj8X30TFK5w8=
=9zOD
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 20:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 15:31:07 2022
Received: from localhost ([127.0.0.1]:37279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyfLj-0002cR-FG
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:31:07 -0500
Received: from mout.gmx.net ([212.227.17.22]:33683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pierre.langlois@HIDDEN>) id 1oyfLe-0002bu-Jm
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:31:02 -0500
Received: from labiere ([82.69.64.142]) by mail.gmx.net (mrgmx104
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1Mqs4f-1ocVjO3zmr-00mpSe; Fri, 25
 Nov 2022 21:30:52 +0100
References: <87y1s5wa4p.fsf@HIDDEN> <87v8n2iytp.fsf@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Pierre Langlois <pierre.langlois@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
Date: Fri, 25 Nov 2022 20:25:33 +0000
In-reply-to: <87v8n2iytp.fsf@HIDDEN>
Message-ID: <875yf293ph.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:MhMxAPmUE+vOq6oLnO2/ZjQqpv65I7U5r29aRKsdpedF2MWzRsU
 umHxrN5zZGvn9Hi8yvhtERACQy+DA6NMsdl12ztQaH+yaPiWI+6mvEmULFyKLGEJjYDSXZx
 4zcoXzgo71R1oxNGb7xvhPROgbzb4SEfV4RH+Zqu2miYJLw0PrDk6Z98xLKZEtmF6/KlKzi
 ZzotPjivhldVB76jun9Fg==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:crj5rNSqBoA=;GwnUWrq3PfDXvC9S7cwdde9xqX+
 3PfDQ6/5+BHlf9nnGwxcilixGqAXc73PXyJndH5cElBruqHPDPH4AmeT/B6fMaQ87TIoysFrZ
 rCMsvEIn0FEBDIDtsTn+eo6O9tJRXXq2EsmJ2Lh/sUvw8rHyEcUtWyRHt2spM1tQjBdGGT2c3
 4t0jMiie61hrR7MmQE5OlAXPXtpwzpQhLAXhmztjVEuh+IqMyqmRXUB5tA33KYBEhDLAW79Ow
 aJSz6pSXt4TJJ8N5xyKnZ69qT8lw0daS40jXP/dsadGKWCbJNJuC7ayAesxiI5M4g6R7nGA+A
 4IBlvcLgAzuPnF6TBjTWsbD+Sj4ylCmDY1YVZMwS6aXuTUTnaH7NCjttzVLdp0WbQ9GuVNx+D
 ZqUKcS4n5yq9zDb+fj0uAj+yKRE2U8QH79aMw8rOrwS/1VHfL8u2KB2i5JDP2x+0QFf/d1U64
 285vgx5ohh6P4Q8JDzDijWk8Aa7557dNVpBd64xzWdkmudhtJpxS5qJTAqevLwUZad+ZGkpuY
 XBgMEv50XcFK5o+3GjM8E8PH3cVlQMZ0sKsPElMswe6uJwnn9CevhEuMvQFfZhvs21VNMTg9o
 NWUjRxjxKH3UMDwT1x/wIeUfA+H/AAQV4jPxdmbecmDmDeZiaasJLj7XhrAlTwjMrl1cMDZu2
 v7kzFsrIhkMhSgp6qFkFYxceFXjjnmsXcRUv1R+UykvLzddBEBrKsdtPfW4KqC4Brv6KZAvhT
 GF0HmoJc3ds43t9eb0hPLKrZEBaaJQuqyNLfNGWRik4wn8jyR0cAxaqxFgDgg99ykoyXewVtN
 LbYOxGs8k9k8jG4Y2s2ticqFY9yfgXEMuuFlQjqsuTL4arf/ZZNplqwSW3wIn/NAKx7vAFr/d
 V6h4JZ9aAeB1ewyYmzNDYSqc9iSi6QSVYFECYPtyNQalBY+/M/T/kPpc6dXERLNVUCPVTRPwQ
 WZPD3X+GnK7TqIrQdpnPHccs7sU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59423
Cc: Pierre Langlois <pierre.langlois@HIDDEN>, 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain


Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hi Pierre,
>
> Pierre Langlois <pierre.langlois@HIDDEN> writes:
>
>> Hi Guix!
>>
>> After updating the system, the dovecot service got confused and started
>> moving around all mailboxes.  I looked up the configuration and noticed
>> strange invalid syntax for the location field:
>>
>> location=#<<location> file: "path/to/config.scm" line: 297 column: 20>
>>
>>
>> Because the # character is interpreted as a comment, dovecot doesn't
>> crash and instead moves mailboxes around in weird ways I don't quite
>> understand :-/.
>>
>> This can actually be reproduced locally with the dovecot system test if
>> one dumps the following expression to check the configuration:
>>
>> (format #t "~a\n" (wait-for-file "/etc/dovecot/dovecot.conf"
>>                                  marionette
>>                                  #:read 'get-string-all))
>>
>>
>> Giving us the snippets like this in the config:
>>
>> $ make check-system TESTS="dovecot"  VERBOSE=1
>> ...
>> namespace inbox {
>> type=private
>> separator=
>> prefix=
>> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
>> inbox=yes
>> hidden=no
>> list=yes
>> subscriptions=yes
>> mailbox "Drafts" {
>> auto=no
>> special_use=\Drafts
>> }
>> mailbox "Junk" {
>> auto=no
>> special_use=\Junk
>> }
>> mailbox "Trash" {
>> auto=no
>> special_use=\Trash
>> }
>> mailbox "Sent" {
>> auto=no
>> special_use=\Sent
>> }
>> mailbox "Sent Messages" {
>> auto=no
>> special_use=\Sent
>> }
>> mailbox "Drafts" {
>> auto=no
>> special_use=\Drafts
>> }
>> }
>
> I did:
>
> $ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
> /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system
>
> Then:
>
> $ guix gc -R /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system | grep dovecot.conf
> /gnu/store/1ijjsm3sj8v0qj88fhlwqxgdszd6q6h7-dovecot.conf

<sidetrack/>

Oh that's a nice way of doing this, better than my hack to print the
config, I'll have to remember the `guix gc -R' flag.

>
> And what I see in this file is now:
>
> namespace inbox {
> type=private
> separator=
> prefix=
> location=
> inbox=yes
> hidden=no
> list=yes
> subscriptions=yes
> mailbox "Drafts" {
> auto=no
> special_use=\Drafts
> }
> mailbox "Junk" {
> auto=no
> special_use=\Junk
> }
> mailbox "Trash" {
> auto=no
> special_use=\Trash
> }
> mailbox "Sent" {
> auto=no
> special_use=\Sent
> }
> mailbox "Sent Messages" {
> auto=no
> special_use=\Sent
> }
> mailbox "Drafts" {
> auto=no
> special_use=\Drafts
> }
> }
>
> Notice that location is empty.  So that's at least different to your
> findings, on latest commit.  Can you still reproduce?

Yeah I'm afraid I still see the same issue after a `git pull` just now:

--8<---------------cut here---------------start------------->8---
~/code/guix [env]$ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
/gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system
~/code/guix [env]$ guix gc -R /gnu/store/ayfvf5s561q955kv8wrkklrvq3ga3qpy-system | grep dovecot\.conf | xargs grep "^location"
location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
--8<---------------cut here---------------end--------------->8---

Have you tried to rebuild from scratch, after a `make clean-go'? When
first bisecting this, I was working from the git repo and couldn't
reproduce the bug. Then it worked by using `guix time-machine' to bisect
rather than work from git.

So I'm guessing the change being in a macro, there could be residue .go
files that need recompiling?

Thanks,
Pierre

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCgA2FiEEctU9gYy29KFyWDdMqPyeRH9PfVQFAmOBJfoYHHBpZXJyZS5s
YW5nbG9pc0BnbXguY29tAAoJEKj8nkR/T31U3P4H/0ApOSqGrM1iinCzwvVjtgLz
kl4wDXn9PMjrKVPrrGLl4qmyg7Oz26WRHWtfXpeXZLOAhhMqoYwKJaaYV2wkhif+
5NyI9DX/3Z6Z6C5TKjEO8BTU3ou1SC6TEfjHvD1MjGy98Pqz6Ws8y+XvzzgCU2qm
MU1zY+0yKNMlbZgdPWFeXUOCiQdBaE+bwKHljz1ISbKvQe/mxFkKhEGHffK0Wav3
8p6Vft96EgBVw9nyk3/FIMv01rRuZlZVjeIwMP8mlu8NNIp/sPKTMlNs+nrdug8c
zftEvS+KNGHJqNLiYe8hfardpmbCYTQudi98aGpX2hOrS0QUs2wWGpP+R71moyY=
=JqW+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 20:25:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 15:25:29 2022
Received: from localhost ([127.0.0.1]:37274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyfGK-0002TG-LI
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:25:28 -0500
Received: from mout.gmx.net ([212.227.15.19]:45491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pierre.langlois@HIDDEN>) id 1oyfGI-0002T3-My
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:25:27 -0500
Received: from labiere ([82.69.64.142]) by mail.gmx.net (mrgmx004
 [212.227.17.184]) with ESMTPSA (Nemesis) id 1MZTmO-1pVA6I0p6s-00WTr1; Fri, 25
 Nov 2022 21:25:20 +0100
References: <87y1s5wa4p.fsf@HIDDEN> <87ilj7if3o.fsf@HIDDEN>
 <87mt8fjbbo.fsf@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Pierre Langlois <pierre.langlois@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
Date: Fri, 25 Nov 2022 20:19:59 +0000
In-reply-to: <87mt8fjbbo.fsf@HIDDEN>
Message-ID: <87leny93yp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:a0ZRwfN6v4JGyDRTgrmfuDXdWlDh0a2tPDUT67pXZpKbtm8Fmru
 62hbpeyY/pE5TCpXSIg1tY5tWLsbmq2fBY8N556SvZfCFQ+hInC1m0ckBMYIKm4q11q2CqW
 jwN1oXDtxgsABvw6El0auHHCzUvptaKDm7jC1VISAlcnlhxY45deqVgNsLlDHooWy0Gyo4X
 jMbIW1058nLw4bAHCfvlw==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:VwDLYiMTymg=;yhCGKmgkF9uqiHjRErSYohqkwZQ
 umHooq8ccvZJOuJpQFrkx1VYD2l6XGiN0WYNRh+7NC/JKIoYNxdOo3QEHCWGCkT/xB3UfIBtq
 39OLcpwCOvWbJrf3eSFxRF24jZVEdVQMYCZPxCLORqaY4/4KMaFOgNuTGwEO+NgJkbzM4qyHh
 Q6X5nbBTs+jChKtJ60YBvUYQecsceq7bAP5NDH9qtVXaHCmtmHlNIwd6Hhl5ffAcw20lzDGBI
 ickpNtEfrjKv+LnwuJAIMN67N+FFmL9pU4sUH5Pix+7wJ3e79iac9+rPZE3Lr/2Lw0kKuuoQC
 kmHnpVwykYXFyzTqcO4CeIu1idPJT80XG+lA8EEat6ywdeUFilMDS37wqovWvLYbbMkwNnlwx
 MCWTfbVzSKcsFaCu4gbkI/DfOKk0wJB5IEaF8jk6LMM8+Vgy2xCPYRAVZnes2s2l798XQjAYB
 PyBe4ErtCAPe78089akiB2dMMOirN7/vPgNkZe2dFATA++dwruFD6MgHQYrH4OguyGvBarQtJ
 4P2lZbCuCNi8T3cQF3a4ShrYrFsmioitvGjdRPzVRI+H0qdfS90c1p9Jvc2p3+lojTF99+Y6U
 8+H9qwRA8xe3k1L3sqimkaaWXJORxjlitpz8yH6CHDTVnqpRir6rZRm2tDldPSGISRCtb43IX
 YCs2LO6V70QlwkbEVEc0m9Pv0J0CYRT4BT1FNKTMLC58kyd4GTX5fQYvZZx7Rq0CTS8FFa2gH
 ncjgifxzqHDU1EFJD+Y1H+76rQOS5CTzAmO1fui0wOoWgaGT4ay6cMKozgLHxCpESAYdz6gPB
 4tAwtbDNxLEQu8LGEGZwjYhwExuhCyAcq2FW4AkbwmwqvizFPpitOn7QNSeS2nvhHOIds4hfW
 qeR3ZryUDQHZKe2mmbcvHhX4up8jTvpifzwnEBXSLhPci4rrVxQNZ028WeuSCRhlkgS1w0C9t
 Gp9F/fYNAX80ced6TcsV8HK/Vh0=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59423
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 59423 <at> debbugs.gnu.org,
 Pierre Langlois <pierre.langlois@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Hi,
>
> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Hi,
>>
>> Pierre Langlois <pierre.langlois@HIDDEN> skribis:
>>
>>> After updating the system, the dovecot service got confused and started
>>> moving around all mailboxes.  I looked up the configuration and noticed
>>> strange invalid syntax for the location field:
>>>
>>> location=3D#<<location> file: "path/to/config.scm" line: 297 column: 20>
>>>
>>>
>>> Because the # character is interpreted as a comment, dovecot doesn't
>>> crash and instead moves mailboxes around in weird ways I don't quite
>>> understand :-/.
>>
>> Ouch, sorry about that.
>
> That's a bad situation indeed, apologies for the breakage!

No worries! Bugs happen :-). It was confusing but I didn't lose any
data, dovecot moved folders to archives so all I had to do was rolling
guix back and move folders again.

>>> I did a `git bisect` with `guix time-machine` (this tool is invaluable)
>>> and found the issue started with this commit:
>>>
>>> commit 543d971ed2a1d9eb934af1f51930741d7cc4e7ef
>>> Author: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
>>> Date:   Fri Oct 28 17:06:16 2022 -0400
>>>     services: configuration: Re-order generated record fields.
>>
>> I believe this is now fixed.
>>
>> Maxim, can you confirm?
>
> Pierre, has it resolved on your side?  I don't use dovecot myself, and
> since it doesn't crash, I don't think the dovecot will be an indicator
> of resolution.

I'm afraid I'm still experiencing the issue, I'll follow-up on the other
thread.

Thanks,
Pierre

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCgA2FiEEctU9gYy29KFyWDdMqPyeRH9PfVQFAmOBJK4YHHBpZXJyZS5s
YW5nbG9pc0BnbXguY29tAAoJEKj8nkR/T31UVT8H/iXGWooV5G2/VYLeRY7D0RLt
PK34KulPato4uILMYuSVFPEoFmNJUAlHzGpwE+cL9srySrEunjbDYMzxJnNR7AOO
fIMp4dCggq4nhGBEoZRp5wus9I6zrv9DXqq/dR1/gs8/d7LwU4QrRj14AIaynvRr
tHDPu4lMLfFbc9cuPnO5DBjugeldgHiIxhk5WVk4hOUpT4pNhcxJkhgYKs0Y5ifB
Pnu7za2USY1v4VDFI/WHN4bzZssF2FCbq40sZGh4M3I0aow1XkhXDt78kNMXjqHq
KqurBFkxq2Gvv++Cty1osrXIrmdLDMV+TuE8fK1xljuNLL3DhNU4ybZISr73cFU=
=XWbG
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 20:06:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 15:06:24 2022
Received: from localhost ([127.0.0.1]:37238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyexr-00021a-SL
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:06:24 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:33718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oyexl-00021J-QV
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 15:06:21 -0500
Received: by mail-qk1-f171.google.com with SMTP id x21so3310850qkj.0
 for <59423 <at> debbugs.gnu.org>; Fri, 25 Nov 2022 12:06:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=IRfsVPmimxuKZ17k7N3BxSjrVMwF3WIkMe2HXum+nE4=;
 b=CTsob+1YGWViw+PhPIBCiWkgcsg2ksl1goZIGP9khV9Sj61pxY4xQbnVMgvPyveoWr
 UAF+wraW0V/ge7HUFYR1NIn0WBxHK5xQ2XN5pupRfHQo5NGUIoMS2OQ3AxxDYKfBQo5/
 OcsHfZl1f+p3rlqrx48RK50cDRiSXGN8Qr8q5o8EmkIj6q3kX3E8SoPOwGsqomJo6Z8P
 9oa1KD34qUP+XICuripbFwI3BC73iNJXFCsSiylySZO6MtodNd4UgxjmECW6ChcE7Wbl
 88vc2lQLJ2oVCQGm4pqN9OzOmg27fO7Os8l1vKeWUk6GyZK/UOam+9AJWpUnuJMDvCgl
 ZLDA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:user-agent:message-id:in-reply-to:date:references
 :subject:cc:to:from:x-gm-message-state:from:to:cc:subject:date
 :message-id:reply-to;
 bh=IRfsVPmimxuKZ17k7N3BxSjrVMwF3WIkMe2HXum+nE4=;
 b=d/UxDMYYjG0DqZlUJ8zHFQk3iBw6N06KWoCMYmGBXopwbOC/rp9hq17hRw0v2wf+E2
 NiyjlHMZJTgqxZTP2gionAnJHr5btPwuA1YD78PzUkCD0LiAGr9IKDNPoVhpIhdpnUE7
 hfN8eMyc0BGcDLzc1RNp08TVVSMG5FyXv87qaKAOCiOQEFAXyqVhutUCWzoPhP+L/091
 6jwH0VAVf9d/uxenDMeTom7X6tjrEgZLdHhuMUWQ6NeZIc2WZlp8P+h+lV4Kagb2qm8f
 ai0CD0ql1IDiC0TW8Z2QN7r4GBtSPNKPls3f79H/MAXFX98uXWcHdfVkI1Iimk20biNL
 GYVA==
X-Gm-Message-State: ANoB5plEb0t2lMuNsBS7bXhSrk9w6m5d0+bKk3J7iBQqp1JrGOSujvht
 EfgAdFkrnucAcocytDgQEambhq6At906HA==
X-Google-Smtp-Source: AA0mqf7ZEiNUWW+yA9t6PJ7flW3Nms27l2bZPFGOsrwfUVIrBjmLz2wqdvCfbvFVWspQewrcDfaoCw==
X-Received: by 2002:ae9:f506:0:b0:6ee:3e43:ac50 with SMTP id
 o6-20020ae9f506000000b006ee3e43ac50mr36396451qkg.359.1669406772013; 
 Fri, 25 Nov 2022 12:06:12 -0800 (PST)
Received: from hurd ([2607:fad8:4:3::1003]) by smtp.gmail.com with ESMTPSA id
 d13-20020a05620a240d00b006fab68c7e87sm3322679qkn.70.2022.11.25.12.06.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Nov 2022 12:06:11 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Pierre Langlois <pierre.langlois@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
References: <87y1s5wa4p.fsf@HIDDEN>
Date: Fri, 25 Nov 2022 15:06:10 -0500
In-Reply-To: <87y1s5wa4p.fsf@HIDDEN> (Pierre Langlois's message of "Sun, 20
 Nov 2022 21:53:01 +0000")
Message-ID: <87v8n2iytp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59423
Cc: 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Pierre,

Pierre Langlois <pierre.langlois@HIDDEN> writes:

> Hi Guix!
>
> After updating the system, the dovecot service got confused and started
> moving around all mailboxes.  I looked up the configuration and noticed
> strange invalid syntax for the location field:
>
> location=#<<location> file: "path/to/config.scm" line: 297 column: 20>
>
>
> Because the # character is interpreted as a comment, dovecot doesn't
> crash and instead moves mailboxes around in weird ways I don't quite
> understand :-/.
>
> This can actually be reproduced locally with the dovecot system test if
> one dumps the following expression to check the configuration:
>
> (format #t "~a\n" (wait-for-file "/etc/dovecot/dovecot.conf"
>                                  marionette
>                                  #:read 'get-string-all))
>
>
> Giving us the snippets like this in the config:
>
> $ make check-system TESTS="dovecot"  VERBOSE=1
> ...
> namespace inbox {
> type=private
> separator=
> prefix=
> location=#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
> inbox=yes
> hidden=no
> list=yes
> subscriptions=yes
> mailbox "Drafts" {
> auto=no
> special_use=\Drafts
> }
> mailbox "Junk" {
> auto=no
> special_use=\Junk
> }
> mailbox "Trash" {
> auto=no
> special_use=\Trash
> }
> mailbox "Sent" {
> auto=no
> special_use=\Sent
> }
> mailbox "Sent Messages" {
> auto=no
> special_use=\Sent
> }
> mailbox "Drafts" {
> auto=no
> special_use=\Drafts
> }
> }

I did:

$ ./pre-inst-env guix system build -e '(@@ (gnu tests mail) %dovecot-os)'
/gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system

Then:

$ guix gc -R /gnu/store/gpl6g2ia84kc41zma7ik9y4p3kik5aiy-system | grep dovecot.conf
/gnu/store/1ijjsm3sj8v0qj88fhlwqxgdszd6q6h7-dovecot.conf

And what I see in this file is now:

--8<---------------cut here---------------start------------->8---
namespace inbox {
type=private
separator=
prefix=
location=
inbox=yes
hidden=no
list=yes
subscriptions=yes
mailbox "Drafts" {
auto=no
special_use=\Drafts
}
mailbox "Junk" {
auto=no
special_use=\Junk
}
mailbox "Trash" {
auto=no
special_use=\Trash
}
mailbox "Sent" {
auto=no
special_use=\Sent
}
mailbox "Sent Messages" {
auto=no
special_use=\Sent
}
mailbox "Drafts" {
auto=no
special_use=\Drafts
}
}
--8<---------------cut here---------------end--------------->8---

Notice that location is empty.  So that's at least different to your
findings, on latest commit.  Can you still reproduce?

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 19:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 14:17:25 2022
Received: from localhost ([127.0.0.1]:37169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyeCT-0006v7-2n
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 14:17:25 -0500
Received: from smtpmciv3.myservices.hosting ([185.26.107.239]:49772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mirai@HIDDEN>) id 1oyeCQ-0006ux-FC
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 14:17:22 -0500
Received: from mail1.netim.hosting (unknown [185.26.106.172])
 by smtpmciv3.myservices.hosting (Postfix) with ESMTP id 4D47220822;
 Fri, 25 Nov 2022 20:17:19 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
 by mail1.netim.hosting (Postfix) with ESMTP id 04BAD80098;
 Fri, 25 Nov 2022 20:17:19 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail1.netim.hosting
Received: from mail1.netim.hosting ([127.0.0.1])
 by localhost (mail1-1.netim.hosting [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id EU6y7pqkrj1D; Fri, 25 Nov 2022 20:17:18 +0100 (CET)
Received: from [192.168.1.239] (unknown [10.192.1.83])
 (Authenticated sender: lumen@HIDDEN)
 by mail1.netim.hosting (Postfix) with ESMTPSA id 9AF9880097;
 Fri, 25 Nov 2022 20:17:18 +0100 (CET)
Message-ID: <0d61b5ad-1523-3dc3-2014-76f16c7011f9@HIDDEN>
Date: Fri, 25 Nov 2022 19:17:18 +0000
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.4.2
To: 59423 <at> debbugs.gnu.org
Subject: Invalid 'location' field generated in dovecot configuration
Content-Language: en-US
From: mirai <mirai@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59423
Cc: maxim.cournoyer@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I'm also experiencing the same issue (guix describe: 7e0ad0dd0f2829d6f3776648ba7c88acf9888d7a).

My guess is that 44554e7133aa60e1b453436be1e80394189cabd9 (which supersedes 543d971ed2a1d9eb934af1f51930741d7cc4e7ef)
introduces a '%location' field which conflicts with 'dovecot-configuration' itself also having a field called 'location'.

In fact, interesting things happen if you define a configuration with a 'location' field.
With 'guix repl':
```
$ guix repl
GNU Guile 3.0.8
Copyright (C) 1995-2021 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(guix-user)> (use-modules (gnu services configuration))
(define-configuration FOO-configuration
  (name
   (string "aaa")
   "")
  (location
   (string "bbb")
   ""))
;;; <stdin>:2:0: warning: shadows previous definition of `%FOO-configuration-location-procedure' at <stdin>:2:0
;;; <unknown-location>: warning: shadows previous definition of `FOO-configuration-location' at <unknown-location>
;;; <stdin>:2:0: warning: possibly unbound variable `serialize-string'
ice-9/boot-9.scm:1685:16: In procedure raise-exception:
error: serialize-string: unbound variable

Entering a new prompt.  Type `,bt' for a backtrace or `,q' to continue.
scheme@(guix-user) [1]>
```

Code snippet for convenience:
```
(use-modules (gnu services configuration))
(define-configuration FOO-configuration
  (name
   (string "aaa")
   "")
  (location
   (string "bbb")
   ""))
```




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 25 Nov 2022 15:36:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 25 10:36:20 2022
Received: from localhost ([127.0.0.1]:36952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyakW-0005MW-3a
	for submit <at> debbugs.gnu.org; Fri, 25 Nov 2022 10:36:20 -0500
Received: from mail-qt1-f172.google.com ([209.85.160.172]:45743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oyakU-0005MH-Fw
 for 59423 <at> debbugs.gnu.org; Fri, 25 Nov 2022 10:36:18 -0500
Received: by mail-qt1-f172.google.com with SMTP id cg5so2694831qtb.12
 for <59423 <at> debbugs.gnu.org>; Fri, 25 Nov 2022 07:36:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=0DyZZiHHNVXT6waezwcnkwlJNQmmkM+C/YEQzQJDBCM=;
 b=Eh/u5HFx8+Qrza/uTCFWpCT1i8lRaX87HhRNRZ86WBGchhKn1lulVQi46LlH+1P8GB
 UHoQ4A4045Me3is6T3DCKRORfProwVwl5Qg9GQ5cWz4UxVnClIOuJTpuHOk+8ME/nQ61
 Mis3OYRTOzH7dj//Uk0Wwonvch0XQl4KoPElQW1le8e27mSJUNKnSCq9UqXJdjBOLddX
 +sPFLMd2S6jqPsti80bDBWvGekiYQTZFh+mPEwq3utrAhOTtTePNBezg1YbunDyDtUmL
 NM2Pxiv7/0RUG6zQTK9ehzSQWStskhe63h4Hg8vZYCXPE2W4SbY1rgWCRqkWKekgtopZ
 DNVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=0DyZZiHHNVXT6waezwcnkwlJNQmmkM+C/YEQzQJDBCM=;
 b=2LVS4AnpehOtldNt5AhWCicDwj+4D3Xuko8qx4sn/HCAs7cK2x33hWUtF5hwjHfBmq
 9H/0Z+iLhxRb69/A0tnLgQXRMQE9SJQyBh6PRU+uFCjYXtCAIRFM/33fgZyCovTic4jV
 baS69fHPyDWdj13a+VROFltXQARdwd69aubGiEWldT1XgnK1Dz1RT9793R6CMwK92Skv
 2r8QjcILc6no5MOn2B36ihMnTRqs8AEpeVTs0W7Q5CifD2iBo6ZagQmiHWG/fccVxk3s
 yMAyd8LSTLD1RquQoCD1mDkCyt72oGWpkjM5D4C6aQf3Wobi0x2pB3riCR79ayQGhayh
 NqBw==
X-Gm-Message-State: ANoB5pnBwW+vRrW4cjgwhqe0jS/6TXDMM7SIH4ePFbSyC3DD41BzCgQI
 9ljJuA1ZAoOrbwziSdLmUB0lCTDyCIPhPw==
X-Google-Smtp-Source: AA0mqf50vJqDb5fs14Mfr2zdHIBY4d2WjbW9ewQuLAXo9LJXOqe3Ko1Q9l0d8MthZgPo9y8IImvIqg==
X-Received: by 2002:a05:622a:4245:b0:3a6:38d6:8642 with SMTP id
 cq5-20020a05622a424500b003a638d68642mr27091862qtb.199.1669390572749; 
 Fri, 25 Nov 2022 07:36:12 -0800 (PST)
Received: from hurd ([2607:fad8:4:3::1003]) by smtp.gmail.com with ESMTPSA id
 s10-20020a05620a16aa00b006ea7f9d8644sm2857149qkj.96.2022.11.25.07.36.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Nov 2022 07:36:12 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
References: <87y1s5wa4p.fsf@HIDDEN> <87ilj7if3o.fsf@HIDDEN>
Date: Fri, 25 Nov 2022 10:36:11 -0500
In-Reply-To: <87ilj7if3o.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 22 Nov 2022 09:10:51 +0100")
Message-ID: <87mt8fjbbo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59423
Cc: Pierre Langlois <pierre.langlois@HIDDEN>, 59423 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Pierre Langlois <pierre.langlois@HIDDEN> skribis:
>
>> After updating the system, the dovecot service got confused and started
>> moving around all mailboxes.  I looked up the configuration and noticed
>> strange invalid syntax for the location field:
>>
>> location=3D#<<location> file: "path/to/config.scm" line: 297 column: 20>
>>
>>
>> Because the # character is interpreted as a comment, dovecot doesn't
>> crash and instead moves mailboxes around in weird ways I don't quite
>> understand :-/.
>
> Ouch, sorry about that.

That's a bad situation indeed, apologies for the breakage!

>> I did a `git bisect` with `guix time-machine` (this tool is invaluable)
>> and found the issue started with this commit:
>>
>> commit 543d971ed2a1d9eb934af1f51930741d7cc4e7ef
>> Author: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
>> Date:   Fri Oct 28 17:06:16 2022 -0400
>>     services: configuration: Re-order generated record fields.
>
> I believe this is now fixed.
>
> Maxim, can you confirm?

Pierre, has it resolved on your side?  I don't use dovecot myself, and
since it doesn't crash, I don't think the dovecot will be an indicator
of resolution.

At least, the %location field value look normal when excercised at the
REPL (#f).

--=20
Thanks,
Maxim




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at 59423 <at> debbugs.gnu.org:


Received: (at 59423) by debbugs.gnu.org; 22 Nov 2022 08:11:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 22 03:11:15 2022
Received: from localhost ([127.0.0.1]:49665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oxON9-0002d7-F7
	for submit <at> debbugs.gnu.org; Tue, 22 Nov 2022 03:11:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1oxON8-0002cu-3O
 for 59423 <at> debbugs.gnu.org; Tue, 22 Nov 2022 03:11:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oxON1-0002c4-Tw; Tue, 22 Nov 2022 03:11:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=TgGoHO2j/IJq0EOmWBk7q6tbus89mid3lqe6f03OuQU=; b=TBPmDSxgY8JufAh1zjJT
 qdFn97o+jcMqu860U5dd81dgn91TPm/YYsgSHFTb12t9SdWxNFAvRarvmb3rOKk0uU5BvA3cJftbZ
 cNhWgFxHGbOCwm5PuSxend7rN6HDg/+CwJtBFFPAVLuoEEhBllGVHh695NxPG18wm3utC6Ni3P8Dn
 yht1WtFpmTC/w7u/MEcgvxEwC7FKI5zi+4OScfa18rGSR7H8ILF0Ajcg66qI1mYFMBpHGippPbpVb
 kOvEDOKpiqIbsjDYoMiDDs87iraKpYX0r5sNZDbYMjyvRiRy2XGbyKelSAuvCo6xLZyzgERJYyDy0
 vElml5Dyy2gEYA==;
Received: from [89.207.171.76] (helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1oxOMy-00034x-GE; Tue, 22 Nov 2022 03:11:06 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Pierre Langlois <pierre.langlois@HIDDEN>
Subject: Re: bug#59423: Invalid 'location' field generated in dovecot
 configuration
References: <87y1s5wa4p.fsf@HIDDEN>
Date: Tue, 22 Nov 2022 09:10:51 +0100
In-Reply-To: <87y1s5wa4p.fsf@HIDDEN> (Pierre Langlois's message of "Sun, 20
 Nov 2022 21:53:01 +0000")
Message-ID: <87ilj7if3o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59423
Cc: 59423 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Pierre Langlois <pierre.langlois@HIDDEN> skribis:

> After updating the system, the dovecot service got confused and started
> moving around all mailboxes.  I looked up the configuration and noticed
> strange invalid syntax for the location field:
>
> location=3D#<<location> file: "path/to/config.scm" line: 297 column: 20>
>
>
> Because the # character is interpreted as a comment, dovecot doesn't
> crash and instead moves mailboxes around in weird ways I don't quite
> understand :-/.

Ouch, sorry about that.

> I did a `git bisect` with `guix time-machine` (this tool is invaluable)
> and found the issue started with this commit:
>
> commit 543d971ed2a1d9eb934af1f51930741d7cc4e7ef
> Author: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
> Date:   Fri Oct 28 17:06:16 2022 -0400
>     services: configuration: Re-order generated record fields.

I believe this is now fixed.

Maxim, can you confirm?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Nov 2022 22:10:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 20 17:10:17 2022
Received: from localhost ([127.0.0.1]:44821 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1owsVy-0003a2-M1
	for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 17:10:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:57418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pierre.langlois@HIDDEN>) id 1owsVt-0003Zo-M5
 for submit <at> debbugs.gnu.org; Sun, 20 Nov 2022 17:10:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pierre.langlois@HIDDEN>)
 id 1owsVt-0002j4-F2
 for bug-guix@HIDDEN; Sun, 20 Nov 2022 17:10:09 -0500
Received: from mout.gmx.net ([212.227.17.20])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <pierre.langlois@HIDDEN>)
 id 1owsVr-00035X-Lb
 for bug-guix@HIDDEN; Sun, 20 Nov 2022 17:10:09 -0500
Received: from labiere ([82.69.64.142]) by mail.gmx.net (mrgmx104
 [212.227.17.174]) with ESMTPSA (Nemesis) id 1MZTmY-1oSgCT2q74-00WXIL for
 <bug-guix@HIDDEN>; Sun, 20 Nov 2022 23:10:03 +0100
User-agent: mu4e 1.8.11; emacs 28.2
From: Pierre Langlois <pierre.langlois@HIDDEN>
To: bug-guix@HIDDEN
Subject: Invalid 'location' field generated in dovecot configuration
Date: Sun, 20 Nov 2022 21:53:01 +0000
Message-ID: <87y1s5wa4p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Provags-ID: V03:K1:nd7pv8mQa6ejOAlyHq4v01+BQmKaw5sqFwjHslEtllZcZFEQjSt
 V5gND+EzPaYbBkkFpTkUww4Lqm0IMYukLAg4/Tq6I920m67rOVkIxflddIOv8kzFnOvpMgN
 ZEv8/bKcTiL5JYIzpZ4gxQXqCLWoumccSi0sfNCUfkFm3U237UEe0d08/5dE4hejem+32Yr
 xohGQLC6Wz1xo4Vhpe8ag==
X-Spam-Flag: NO
UI-OutboundReport: notjunk:1;M01:P0:3Du/jBdJXbk=;AdIQVO51jpbmDuth/xzJ/8ccOiH
 iDffdZYFjKRyr7r9NCycPv1CFErtIVX0mkn3QH4ISeR770QSzg1BMLdSg5/67axhOrNiI8xxC
 ld69BtUH7IVA4GePny0/pXXALwX3werv9aduP3q6kbd/towsOVv96jX0wHugpjaSliaNA4/8b
 ySAzzIM4ZAqMNSpfb8Y/gjGHwh9phlXH5In3Vro3tYLeGXFJzTRqgrpiBmQWkTep1GLWkGmEo
 tTlnrzhuMQe+rD3CkymZSoHHrLbF5P1LYy6YrbFZ7N4yn4n9RjUyfoSWqTNVLFKMp4cf1AIvc
 8AC+VtW+LHk5IMmhwpE2J/po+ZPAmoIMLPFioVUvQFyWZWT8M8ezpeEfBu1v09sRa9hFsYKbr
 s/HLkAUiZih9N4v5CWCLPufFQLf+Xv+ffyQswXvuDqYO3gl/kX980eKj8+zS20JsGio8dClLa
 0v3mMKUWHBrjlpOEJDFqTgLbHWsM9Le2wNlCI8arzMn3qr9jOZyLNpR/Duab3macRVNNkTwN6
 WcjuC/pwtXuUBW8/NFf1XvZhNeQvrC7fs0vPr4ed0EfgFNnghOYv3Y2X/c6xlpkpIl6tgRKSf
 V/AxmILIzxpQjFPg1bfNqdnJkrGXWdR+7hhSs8WVkXleNXoXGVEVWy5v7ckRlRUpADDx/KMlZ
 UYTAJ2KOviamIAxrPGdiSQX+HS235VcPwovxOWy1ieD5MuOrnG6VIk7AvubLYx6cugutpREmx
 R7r67WVo0RJKB5r45Un9gNefGFpYNvJNcTi9D6TD42V6MAVG9t4EkjBpxSmt7dMDKAe+Yorum
 JhERkPsZQMhsErXdKgTOaHeb9sz8BDalvgC/jZOy35cRUFsa87Lj2uujQ00a8gVQq3gRjIZ0x
 DyDTOal+5U3wqj2sIC+BLLEoxtCX8EB1Yrv4FSvaMXyWBmh3Q6NEZ+v0Lbq7vCL1ABDz0ysO7
 W3zswqx8T1M2QlZsdH2sTB6rdXY=
Received-SPF: pass client-ip=212.227.17.20;
 envelope-from=pierre.langlois@HIDDEN; helo=mout.gmx.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi Guix!

After updating the system, the dovecot service got confused and started
moving around all mailboxes.  I looked up the configuration and noticed
strange invalid syntax for the location field:

=2D-8<---------------cut here---------------start------------->8---
location=3D#<<location> file: "path/to/config.scm" line: 297 column: 20>
=2D-8<---------------cut here---------------end--------------->8---

Because the # character is interpreted as a comment, dovecot doesn't
crash and instead moves mailboxes around in weird ways I don't quite
understand :-/.

This can actually be reproduced locally with the dovecot system test if
one dumps the following expression to check the configuration:

=2D-8<---------------cut here---------------start------------->8---
(format #t "~a\n" (wait-for-file "/etc/dovecot/dovecot.conf"
                                 marionette
                                 #:read 'get-string-all))
=2D-8<---------------cut here---------------end--------------->8---

Giving us the snippets like this in the config:

=2D-8<---------------cut here---------------start------------->8---
$ make check-system TESTS=3D"dovecot"  VERBOSE=3D1
...
namespace inbox {
type=3Dprivate
separator=3D
prefix=3D
location=3D#<<location> file: "gnu/tests/mail.scm" line: 297 column: 20>
inbox=3Dyes
hidden=3Dno
list=3Dyes
subscriptions=3Dyes
mailbox "Drafts" {
auto=3Dno
special_use=3D\Drafts
}
mailbox "Junk" {
auto=3Dno
special_use=3D\Junk
}
mailbox "Trash" {
auto=3Dno
special_use=3D\Trash
}
mailbox "Sent" {
auto=3Dno
special_use=3D\Sent
}
mailbox "Sent Messages" {
auto=3Dno
special_use=3D\Sent
}
mailbox "Drafts" {
auto=3Dno
special_use=3D\Drafts
}
}
...
=2D-8<---------------cut here---------------end--------------->8---

I did a `git bisect` with `guix time-machine` (this tool is invaluable)
and found the issue started with this commit:

=2D-8<---------------cut here---------------start------------->8---
commit 543d971ed2a1d9eb934af1f51930741d7cc4e7ef
Author: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date:   Fri Oct 28 17:06:16 2022 -0400
    services: configuration: Re-order generated record fields.
=20=20=20=20
    This is so that the first field of the generated record matches the fir=
st one
    declared, which makes 'define-configuration' record API compatible with
    define-record-type* ones.
=20=20=20=20
    * gnu/services/configuration.scm (define-configuration-helper): Move the
    %location field below the ones declared by the user.
    * gnu/services/monitoring.scm (zabbix-front-end-config): Adjust match p=
attern
    accordingly.
=2D-8<---------------cut here---------------end--------------->8---

Sooo, I'm guessing this is something to do with the configuration field
being named "location", and /maybe/ we're patching it with the origin
location of the configuration, something like that? I don't understand
how this works well enough to be able to thing of any fixes.

Thanks,
Pierre



--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFMBAEBCgA2FiEEctU9gYy29KFyWDdMqPyeRH9PfVQFAmN6pbcYHHBpZXJyZS5s
YW5nbG9pc0BnbXguY29tAAoJEKj8nkR/T31UELMIAIk8qZ/lNX/RHsHkjdW1H6uH
ZZJ2BqN1XyqqXuILp5csv0MEKE9PlpSezY5/gTn+o09kzLD/fPkKhzGDgVCTmSXV
hndYGwP6bXoyUcbxOdoE7HDB1RW+euQUt+oVUQBlgnlLlWp9wR4KjF+P4+QD6ygH
VbVyxD93xArLhZe7eq6cLM9hi4wYW9UkV8eGe0SnTkwn9EAZzJpLg+lg/SudnFH+
fwdSUF7lA7HCw8t2+ObFhXuaX1mQOqACy3wQWhKg/00zo0dslu8uwJptltVbuhpX
+hKbfxAUOyng+Xu6Ho8JHK2waIl76KoxCuJpLKj/8u4u4dVUSiKp8rKTPchcwfM=
=1HH9
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Pierre Langlois <pierre.langlois@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#59423; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 26 Nov 2022 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.